<template>
  <div>
    <!-- left background bracket-->
    <v-row v-if="brackets" justify="start" no-gutters>
      <v-col cols="auto">
        <div class="bracket bracket-left" />
      </v-col>
    </v-row>

    <!-- first line -->
    <v-row justify="space-around" no-gutters>
      <v-col cols="12" class="studium-title first-line">
        <span>
          <slot name="first" />
        </span>
      </v-col>
    </v-row>

    <!-- second line -->
    <v-row justify="space-around" no-gutters>
      <v-col cols="12" class="studium-subtitle studium-clickable-text second-line">
        <span @click="emitClick">
          <slot name="second" />
        </span>
      </v-col>
    </v-row>

    <!-- right background bracket-->
    <v-row v-if="brackets" justify="end" no-gutters>
      <v-col cols="auto">
        <div class="bracket bracket-right" />
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent({
  props: {
    // Show the brackets
    brackets: {
      type: Boolean,
      default: false,
    },
  },
  setup(_, { emit }) {
    function emitClick() {
      // emit click to parent component
      emit('click')
    }

    return { emitClick }
  },
})
</script>

<style lang="scss" scope>
.no-grow {
  flex: 0;
}

.bracket {
  width: 100px;
  height: 100px;
  background-size: 100%;

  @media #{map-get($display-breakpoints, 'xs-only')} {
    width: 50px;
    height: 50px;
  }

  &-left {
    background-image: url('~/assets/img/util/placeholder_bracket_left.svg');
    background-position: left top;
  }

  &-right {
    background-image: url('~/assets/img/util/placeholder_bracket_right.svg');
    background-position: right bottom;
  }
}

.first-line {
  text-align: center;
}

.second-line {
  text-decoration: underline;
  text-align: center;
}
</style>
